Non Conformance Purchase Order Line
The non conformance purchase order line resource.
/nonConformancePurchaseOrderLineList non conformance purchase order lines
Retrieve a paginated list of non conformance purchase order lines. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
curl --request GET \
--url 'https://rest.carbon.ms/nonConformancePurchaseOrderLine?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'[
{
"id": "abc123def456",
"nonConformanceId": "xyz789",
"purchaseOrderLineId": "xyz789",
"companyId": "xyz789",
"createdAt": "2026-01-01T00:00:00Z",
"createdBy": "string",
"purchaseOrderId": "xyz789",
"purchaseOrderReadableId": "xyz789"
}
]/nonConformancePurchaseOrderLineRetrieve a non conformance purchase order line
Fetch a single non conformance purchase order line by filtering on `id`.
Query parameters
idstringMatch on the non conformance purchase order line's `id`, e.g. `eq.{id}`.
curl --request GET \
--url 'https://rest.carbon.ms/nonConformancePurchaseOrderLine?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'{
"id": "abc123def456",
"nonConformanceId": "xyz789",
"purchaseOrderLineId": "xyz789",
"companyId": "xyz789",
"createdAt": "2026-01-01T00:00:00Z",
"createdBy": "string",
"purchaseOrderId": "xyz789",
"purchaseOrderReadableId": "xyz789"
}/nonConformancePurchaseOrderLineCreate a non conformance purchase order line
Create a new non conformance purchase order line.
Body parameters
nonConformanceIdstringrequiredReferences nonConformance.id
purchaseOrderLineIdstringrequiredReferences purchaseOrderLine.id
purchaseOrderIdstringReferences purchaseOrder.id
purchaseOrderReadableIdstringcompanyIdstringrequiredReferences company.id
curl --request POST \
--url https://rest.carbon.ms/nonConformancePurchaseOrderLine \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"nonConformanceId":"xyz789","purchaseOrderLineId":"xyz789","companyId":"xyz789"}'{
"id": "abc123def456",
"nonConformanceId": "xyz789",
"purchaseOrderLineId": "xyz789",
"companyId": "xyz789",
"createdAt": "2026-01-01T00:00:00Z",
"createdBy": "string",
"purchaseOrderId": "xyz789",
"purchaseOrderReadableId": "xyz789"
}/nonConformancePurchaseOrderLineUpdate a non conformance purchase order line
Update an existing non conformance purchase order line, matched on `id`.
Body parameters
nonConformanceIdstringrequiredReferences nonConformance.id
purchaseOrderLineIdstringrequiredReferences purchaseOrderLine.id
purchaseOrderIdstringReferences purchaseOrder.id
purchaseOrderReadableIdstringcompanyIdstringrequiredReferences company.id
curl --request PATCH \
--url 'https://rest.carbon.ms/nonConformancePurchaseOrderLine?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"nonConformanceId":"xyz789"}'{
"id": "abc123def456",
"nonConformanceId": "xyz789",
"purchaseOrderLineId": "xyz789",
"companyId": "xyz789",
"createdAt": "2026-01-01T00:00:00Z",
"createdBy": "string",
"purchaseOrderId": "xyz789",
"purchaseOrderReadableId": "xyz789"
}/nonConformancePurchaseOrderLineDelete a non conformance purchase order line
Delete a non conformance purchase order line, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the non conformance purchase order line to delete, e.g. `eq.{id}`.
curl --request DELETE \
--url 'https://rest.carbon.ms/nonConformancePurchaseOrderLine?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'